POST api/v1/child-sleep/sessions
Request Information
URI Parameters
None.
Body Parameters
CreateSleepSessionRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| ChildId | integer |
None. |
|
| StartAt | date |
None. |
|
| EndAt | date |
None. |
|
| SleepType | byte |
None. |
|
| Notes | string |
None. |
|
| QualityScore | byte |
None. |
Request Formats
application/json, text/json
Sample:
{
"childId": 1,
"startAt": "2026-04-18T15:07:48.7434897+03:00",
"endAt": "2026-04-18T15:07:48.7434897+03:00",
"sleepType": 64,
"notes": "sample string 1",
"qualityScore": 64
}
application/xml, text/xml
Sample:
<ChildSleepSessionsController.CreateSleepSessionRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/API.Controllers"> <ChildId>1</ChildId> <EndAt>2026-04-18T15:07:48.7434897+03:00</EndAt> <Notes>sample string 1</Notes> <QualityScore>64</QualityScore> <SleepType>64</SleepType> <StartAt>2026-04-18T15:07:48.7434897+03:00</StartAt> </ChildSleepSessionsController.CreateSleepSessionRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.